PROGRAM program0
  VAR
    LSL_010 AT %QX0.0 : BOOL := 0;
    LSL_010_ED AT %IX100.0 : BOOL := 0;
    LSH_010 AT %QX0.1 : BOOL := 0;
    LSH_010_ED AT %IX100.1 : BOOL := 0;
    LSL_040 AT %QX0.2 : BOOL := 0;
    LSL_040_ED AT %IX100.2 : BOOL := 0;
    LSH_040 AT %QX0.3 : BOOL := 0;
    LSH_040_ED AT %IX100.3 : BOOL := 0;
    AGA_OnOff AT %QX1.0 : BOOL := 1;
    AGA_OnOff_SD AT %QX100.0 : BOOL := 1;
    AGL_OnOff AT %QX1.1 : BOOL := 1;
    AGL_OnOff_SD AT %QX100.1 : BOOL := 1;
    BCA_OnOff AT %QX1.2 : BOOL := 1;
    BCA_OnOff_SD AT %QX100.2 : BOOL := 1;
    LT_010 AT %MD0 : REAL := 6.0;
    LT_010_EA AT %IW100 : UINT := 39321;
    TT_020a AT %MD1 : REAL := 40.0;
    TT_020a_EA AT %IW101 : UINT := 26214;
    TT_020b AT %MD2 : REAL := 46.35;
    TT_020b_EA AT %IW102 : UINT := 30375;
    FT_030 AT %MD3 : REAL := 50.09;
    FT_30_EA AT %IW103 : UINT := 8207;
    LT_040 AT %MD4 : REAL := 3.5;
    LT_40_EA AT %IW104 : UINT := 45874;
    TT_050a AT %MD5 : REAL := 80.0;
    TT_050a_EA AT %IW105 : UINT := 52428;
    TT_050b AT %MD6 : REAL := 82.85;
    TT_050b_EA AT %IW106 : UINT := 54295;
    TT_050c AT %MD7 : REAL := 70.0;
    TT_050c_EA AT %IW107 : UINT := 45874;
    FT_060 AT %MD8 : REAL := 50.0;
    FT_060_EA AT %IW108 : UINT := 8192;
    TT_070 AT %MD9 : REAL := 20.0;
    TT_070_EA AT %IW109 : UINT := 13107;
    PT_080 AT %MD10 : REAL := 0.10;
    PT_080_EA AT %IW110 : UINT := 6553;
    FT_090 AT %MD11 : REAL := 130.4;
    FT_090_EA AT %IW111 : UINT := 28485;
    AQC_Pot AT %MD12 : REAL := 80.0;
    AQC_Pot_SA AT %QW100 : UINT := 52428;
    BCA_Vel AT %MD13 : REAL := 50.0;
    BCA_Vel_SA AT %QW101 : UINT := 32767;
    VAL_Pos AT %MD14 : REAL := 50.0;
    VAL_Pos_SA AT %QW102 : UINT := 32767;
  END_VAR
  VAR
    MOVE47_OUT : UINT;
    MOVE50_OUT : UINT;
    MOVE53_OUT : UINT;
    UINT_TO_REAL30_OUT : REAL;
    SUB31_OUT : REAL;
    DIV33_OUT : REAL;
    MOVE3_OUT : REAL;
    UINT_TO_REAL9_OUT : REAL;
    SUB10_OUT : REAL;
    DIV18_OUT : REAL;
    MOVE8_OUT : REAL;
  END_VAR

  AGA_OnOff_SD := TRUE;
  AGL_OnOff_SD := TRUE;
  BCA_OnOff_SD := TRUE;
  MOVE47_OUT := MOVE(52428);
  AQC_Pot_SA := MOVE47_OUT;
  MOVE50_OUT := MOVE(32767);
  BCA_Vel_SA := MOVE50_OUT;
  MOVE53_OUT := MOVE(32767);
  VAL_Pos_SA := MOVE53_OUT;
  LSH_010 := LSH_010_ED;
  AGA_OnOff := AGA_OnOff_SD;
  UINT_TO_REAL30_OUT := UINT_TO_REAL(LT_010_EA);
  SUB31_OUT := SUB(UINT_TO_REAL30_OUT, 0.0);
  DIV33_OUT := DIV(SUB31_OUT, 6553.5);
  MOVE3_OUT := MOVE(DIV33_OUT);
  LT_010 := MOVE3_OUT;
  UINT_TO_REAL9_OUT := UINT_TO_REAL(AQC_Pot_SA);
  SUB10_OUT := SUB(UINT_TO_REAL9_OUT, 0.0);
  DIV18_OUT := DIV(SUB10_OUT, 655.35);
  MOVE8_OUT := MOVE(DIV18_OUT);
  AQC_Pot := MOVE8_OUT;
END_PROGRAM


CONFIGURATION Config0

  RESOURCE Res0 ON PLC
    TASK task0(INTERVAL := T#20ms,PRIORITY := 0);
    PROGRAM instance0 WITH task0 : program0;
  END_RESOURCE
END_CONFIGURATION
